import streamlit as st

from synthetic_agents.webapp.component.agent_builder import AgentBuilderComponent
from synthetic_agents.webapp.session.agent_builder import AgentBuilderSession

st.set_page_config(
    page_title="Agent Builder",
    page_icon=None,
    layout="wide",
    initial_sidebar_state="auto",
    menu_items=None,
)

AgentBuilderSession.initialize()
AgentBuilderComponent("agent_builder_page").create_component()
